Subject: RE: [dhcwg] Proposal for experimental DHCP option

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Sun, 29 Oct 2006 10:02:28 -0500

Giuseppe:

If this is a completely new option, please do *NOT* include an option number and just leave it TBD. In your IANA section, you should say that IANA is requested to assign an option number for the option. If and when this becomes an RFC, IANA will assign the number and the RFC-Editor will update the document to include that assigned number.

That is standard practice.

The old option 96 (which was deprecated as had been assigned to "IPv6 Transition") had nothing to do with LDAP - http://www.iana.org/assignments/bootp-dhcp-extensions/bootp-dhcp-option-96. So, I don't understand why you would want to use that number. Option 95 is related to LDAP and is still assigned (see http://www.ietf.org/rfc/rfc3679.txt, which states in section 3.2 that the option is in use by Apple, and for LDAP).

I'm still confused by what you're attempting to do:
1. Define a completely new option - if so, DO NOT INCLUDE AN OPTION NUMBER - IANA will assign one when the time comes (see above).
2. Properly define the existing usage of an option which has no IETF approved document (and if so, is that for option 95 or 96). I suspect it would only be for option 95, not 96!

If you're doing 1, you might need to document what is different from the "existing" Option 95 (which I assume is documented in http://www.iana.org/assignments/bootp-dhcp-extensions/bootp-dhcp-option-95 but that is in conflict with what is documented in RFC 3679; option 95 is in use by Apple?).

- Bernie 

PS: If you want to experiment with use of this option TODAY on a network, you can use a site-specific option (range 224 to 254) as per RFC 3942.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Giuseppe Paternò (Gippa)
Sent: Sunday, October 29, 2006 6:03 AM
To: Bernie Volz (volz)
Cc: [email-masked]
Subject: Re: [dhcwg] Proposal for experimental DHCP option

Hi Bernie,
I am totally wrong on my draft: it was option 96 ... I proposed to
reuse the same of the LDAP draft, but that's a IANA final decision.
They wouldn't allow me a DHCP option code unless this working group
approves the draft as experimental. My apologies for the miswriting.
Also it is interesting the fact of using null to separate different
URLs, I didn't thought about that. What do the ML think?
Thank you!
Regards,
  Giuseppe

On 10/28/06, Bernie Volz (volz) <[email-masked]> wrote:
>
> The original document for the option 95 registration is available thru http://www.iana.org/assignments/bootp-dhcp-extensions/ and is http://www.iana.org/assignments/bootp-dhcp-extensions/bootp-dhcp-option-95. [It is somewhat odd that Dieter Siegmund doesn't match up with this.]
>
>
> Note also that if MULTIPLE URLs are supposed to be possible, then there has to be some way to detect this. Your document currently states that the URLs are not NULL terminated. So, what mechanism exists for detecting multiple URLs being present? [Note I don't base this comment on the current draft which only allows one; just on some of the email discussion which I think implied that there could be more than one URL.]

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg